require(RIdeogram)

dog_karyotype <- read.table("ideogram_karyotype.txt", sep = "\t", header = T, stringsAsFactors = F)
gene_density <- read.table("ideogram_gene_density.txt", sep = "\t", header = T, stringsAsFactors = F)
inserts <- read.table("ideogram_inserts.txt", sep = "\t", header = T, stringsAsFactors = F)

ideogram(karyotype = dog_karyotype, overlaid = gene_density, label = inserts, label_type = "marker")
convertSVG("chromosome.svg", device = "png")